# -*- ruby encoding: utf-8 -*-
#############################################################
# This file was automatically generated on 2012-09-28.      #
#                                                           #
# If you have a bugfix for this file and want to commit it, #
# please fix the bug in the generator. You can find a link  #
# to the generator git on tinkerforge.com                   #
#############################################################

module Tinkerforge
  # Device for receiving GPS position
  class BrickletGPS < Device

    # 
    CALLBACK_COORDINATES = 8

    # 
    CALLBACK_STATUS = 9

    FUNCTION_GET_COORDINATES = 1 # :nodoc:
    FUNCTION_GET_STATUS = 2 # :nodoc:
    FUNCTION_RESTART = 3 # :nodoc:
    FUNCTION_SET_COORDINATES_CALLBACK_PERIOD = 4 # :nodoc:
    FUNCTION_GET_COORDINATES_CALLBACK_PERIOD = 5 # :nodoc:
    FUNCTION_SET_STATUS_CALLBACK_PERIOD = 6 # :nodoc:
    FUNCTION_GET_STATUS_CALLBACK_PERIOD = 7 # :nodoc:

    # Creates an object with the unique device ID <tt>uid</tt>. This object can
    # then be added to the IP connection.
    def initialize(uid)
      super uid

      @expected_name = 'GPS Bricklet'

      @binding_version = [1, 0, 0]

      @callback_formats[CALLBACK_COORDINATES] = 'k S2 k S2 S S S'
      @callback_formats[CALLBACK_STATUS] = 'C C C S S L L s s'
    end

    # 
    def get_coordinates
      send_request(FUNCTION_GET_COORDINATES, [], '', 16, 'k S2 k S2 S S S')
    end

    # 
    def get_status
      send_request(FUNCTION_GET_STATUS, [], '', 19, 'C C C S S L L s s')
    end

    # 
    def restart(restart_type)
      send_request(FUNCTION_RESTART, [restart_type], 'C', 0, '')
    end

    # 
    def set_coordinates_callback_period(period)
      send_request(FUNCTION_SET_COORDINATES_CALLBACK_PERIOD, [period], 'L', 0, '')
    end

    # Returns the period as set by BrickletGPS#set_coordinates_callback_period.
    def get_coordinates_callback_period
      send_request(FUNCTION_GET_COORDINATES_CALLBACK_PERIOD, [], '', 4, 'L')
    end

    # 
    def set_status_callback_period(period)
      send_request(FUNCTION_SET_STATUS_CALLBACK_PERIOD, [period], 'L', 0, '')
    end

    # Returns the period as set by BrickletGPS#get_status_callback_period.
    def get_status_callback_period
      send_request(FUNCTION_GET_STATUS_CALLBACK_PERIOD, [], '', 4, 'L')
    end

    # Registers a callback with ID <tt>cb</tt> to the block <tt>block</tt>.
    def register_callback(cb, &block)
      callback = block
      @registered_callbacks[cb] = callback
    end
  end
end
